<!DOCTYPE html>
<html>
  <head>
    <style>
      body {
        font-family: Arial;
        background-color: rgb(0, 0, 0);
      }

      .calculation {
        color: white;
        font-size: 45px;
        margin-top: 15px;
        margin-bottom: 5px;
      }

      .calculator-button {
        height: 60px;
        width: 60px;
        border-radius: 60px;
        border: none;
        font-size: 26px;
        cursor: pointer;
        margin-right: 5px;
      }

      .gray-button {
        background-color: rgb(51, 51, 51);
        color: white;
      }

      .orange-button {
        background-color: rgb(254, 160, 10);
        color: white;
      }

      .clear-button {
        font-size: 17px;
      }
    </style>
  </head>
  <body>
    <!-- Create an element to display the calculation. -->
    <p class="js-calculation calculation"></p>

    <p>
      <button class="calculator-button gray-button" onclick="
        updateCalculation('1');
      ">1</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('2');
      ">2</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('3');
      ">3</button>

      <button class="calculator-button orange-button" onclick="
        updateCalculation(' + ');
      ">+</button>
    </p>

    <p>
      <button class="calculator-button gray-button" onclick="
        updateCalculation('4');
      ">4</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('5');
      ">5</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('6');
      ">6</button>

      <button class="calculator-button orange-button" onclick="
        updateCalculation(' - ');
      ">-</button>
    </p>

    <p>
      <button class="calculator-button gray-button" onclick="
        updateCalculation('7');
      ">7</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('8');
      ">8</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('9');
      ">9</button>

      <button class="calculator-button orange-button" onclick="
        updateCalculation(' * ');
      ">*</button>
    </p>

    <p>
      <button class="calculator-button gray-button" onclick="
        updateCalculation('0');
      ">0</button>

      <button class="calculator-button gray-button" onclick="
        updateCalculation('.');
      ">.</button>

      <button class="calculator-button gray-button" onclick="
        
        calculation = eval(calculation);

        
        displayCalculation();

        localStorage.setItem('calculation', calculation);
      ">=</button>

      <button class="calculator-button orange-button" onclick="
        updateCalculation(' / ');
      ">/</button>
    </p>

    <p>
      <button class="calculator-button gray-button clear-button" onclick="
        calculation = '';

        displayCalculation();

        localStorage.setItem('calculation', calculation);
      ">Clear</button>
    </p>

    <script>
      let calculation = localStorage.getItem('calculation') || '';

      displayCalculation();

      function updateCalculation(value) {
        calculation += value;

        displayCalculation();

        localStorage.setItem('calculation', calculation);
      }

      function displayCalculation() {
        document.querySelector('.js-calculation')
          .innerHTML = calculation;
      }
    </script>
  </body>
</html>